Skip to content

List Container Registry

GET
/container_registry/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/container_registry/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Note: Container Registry is currently available only in the Delhi region.

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successfully retrieved namespace details

Media typeapplication/json
object
code
integer
message
string
data
Array<object>
object
id
integer
namespace
string
registry_endpoint
string
namespace_size
integer
username
string
errors
object

Example

{
"code": 200,
"message": "Success",
"data": [
{
"id": 131,
"namespace": "testing1234",
"registry_endpoint": "registry.e2enetworks.net",
"namespace_size": 0,
"username": "e2etesting1234+hey"
}
],
"errors": {}
}